<?xml version="1.0" encoding="UTF-8"?><MEMPL_ASSESSOR desc_eng="Master Assessor Table" desc_thai="ทะเบียนรายละเอียดผู้ประเมินผล" editcheck="true" fieldsystem="*" mainhelp="MEMPL_ASSESSORHELP" referhelp="MEMPL_ASSESSORHELP" mainkey="EMPLOYEEID" protype="table" deleteflag="true" >
<FIELD>
<EMPLOYEEID lang="A" encrypt="false" log="false" type="String">
	<KEY>1</KEY>
	<WIDTH>15</WIDTH>
	<DESC_ENG>Employee ID</DESC_ENG>
	<DESC_THAI>รหัสพนักงาน</DESC_THAI>
	<RELATION>MEMPLOYEE</RELATION>
	<COMPONENT type="Text">
		<SIZE>10</SIZE>
		<MAXSIZE>15</MAXSIZE>
		<ALT_ENG>Employee ID</ALT_ENG>
		<ALT_THAI>รหัสพนักงาน</ALT_THAI>
		<!--<ONKEYPRESS>chkInteger();</ONKEYPRESS>-->
	</COMPONENT>
<!-- 	<REQUIRE>true</REQUIRE>
	<HELP>MEMPLOYEEHELP_APS</HELP>
	<HELP_RETURN_FIELD>true</HELP_RETURN_FIELD> -->
</EMPLOYEEID>
<COMPANYID lang="A" encrypt="false" log="false" type="String">
	<KEY>3</KEY>
	<WIDTH>10</WIDTH>
	<DESC_ENG>Company ID</DESC_ENG>
	<DESC_THAI>รหัสบริษัท</DESC_THAI>
	<COMPONENT type="Text">
		<SIZE>5</SIZE>
		<MAXSIZE>5</MAXSIZE>
		<ALT_ENG>Company ID</ALT_ENG>
		<ALT_THAI>รหัสบริษัท</ALT_THAI>
	</COMPONENT>
</COMPANYID>
<ASTYPE lang="A" encrypt="false" log="false" type="String">
    <KEY>2</KEY>
	<WIDTH>15</WIDTH>
	<RELATION>MASTYPE</RELATION>
	<DESC_ENG>Assessor type</DESC_ENG>
	<DESC_THAI>ประเภทประเมิน</DESC_THAI>
	<COMPONENT type="Text">
		<SIZE>10</SIZE>
		<MAXSIZE>15</MAXSIZE>
		<ALT_ENG>Assessor type</ALT_ENG>
		<ALT_THAI>ประเภทประเมิน</ALT_THAI>
		<REQUIRE>true</REQUIRE>
	</COMPONENT>
</ASTYPE>
<ASSESSOR1 lang="A" encrypt="false" log="false" type="String">
	<WIDTH>15</WIDTH>
	<DESC_ENG>Assessor ID</DESC_ENG>
	<DESC_THAI>รหัสผู้ประเมิน</DESC_THAI>
	<COMPONENT type="Text">
		<SIZE>10</SIZE>
		<MAXSIZE>15</MAXSIZE>
		<ALT_ENG>Assessor ID</ALT_ENG>
		<ALT_THAI>รหัสผู้ประเมิน</ALT_THAI>
	</COMPONENT>
	<HELP>MEMPLOYEEHELP_APS</HELP>
	<!-- <HELP_RETURN_FIELD>true</HELP_RETURN_FIELD> -->
</ASSESSOR1>
<ASSESSOR2 lang="A" encrypt="false" log="false" type="String">
	<WIDTH>15</WIDTH>
	<DESC_ENG>Assessor ID</DESC_ENG>
	<DESC_THAI>รหัสผู้ประเมิน</DESC_THAI>
	<COMPONENT type="Text">
		<SIZE>10</SIZE>
		<MAXSIZE>15</MAXSIZE>
		<ALT_ENG>Assessor ID</ALT_ENG>
		<ALT_THAI>รหัสผู้ประเมิน</ALT_THAI>
	</COMPONENT>
	<HELP>MEMPLOYEEHELP_APS</HELP>
	<!-- <HELP_RETURN_FIELD>true</HELP_RETURN_FIELD> -->
</ASSESSOR2>
<ASSESSOR3 lang="A" encrypt="false" log="false" type="String">
	<WIDTH>15</WIDTH>
	<DESC_ENG>Assessor ID</DESC_ENG>
	<DESC_THAI>รหัสผู้ประเมิน</DESC_THAI>
	<COMPONENT type="Text">
		<SIZE>10</SIZE>
		<MAXSIZE>15</MAXSIZE>
		<ALT_ENG>Assessor ID</ALT_ENG>
		<ALT_THAI>รหัสผู้ประเมิน</ALT_THAI>
	</COMPONENT>
	<HELP>MEMPLOYEEHELP_APS</HELP>
<!-- 	<HELP_RETURN_FIELD>true</HELP_RETURN_FIELD> -->
</ASSESSOR3>
<ASSESSOR4 lang="A" encrypt="false" log="false" type="String">
	<WIDTH>15</WIDTH>
	<DESC_ENG>Assessor ID</DESC_ENG>
	<DESC_THAI>รหัสผู้ประเมิน</DESC_THAI>
	<COMPONENT type="Text">
		<SIZE>10</SIZE>
		<MAXSIZE>6</MAXSIZE>
		<ALT_ENG>Assessor ID</ALT_ENG>
		<ALT_THAI>รหัสผู้ประเมิน</ALT_THAI>
	</COMPONENT>
	<HELP>MEMPLOYEEHELP_APS</HELP>
	<HELP_RETURN_FIELD>true</HELP_RETURN_FIELD>
</ASSESSOR4>
<ASSESSOR5 lang="A" encrypt="false" log="false" type="String">
	<WIDTH>10</WIDTH>
	<DESC_ENG>Assessor ID</DESC_ENG>
	<DESC_THAI>รหัสผู้ประเมิน</DESC_THAI>
	<COMPONENT type="Text">
		<SIZE>10</SIZE>
		<MAXSIZE>15</MAXSIZE>
		<ALT_ENG>Assessor ID</ALT_ENG>
		<ALT_THAI>รหัสผู้ประเมิน</ALT_THAI>
	</COMPONENT>
	<HELP>MEMPLOYEEHELP_APS</HELP>
	<HELP_RETURN_FIELD>true</HELP_RETURN_FIELD>
</ASSESSOR5>
<ASSESSOR6 lang="A" encrypt="false" log="false" type="String">
	<WIDTH>15</WIDTH>
	<DESC_ENG>Assessor ID</DESC_ENG>
	<DESC_THAI>รหัสผู้ประเมิน</DESC_THAI>
	<COMPONENT type="Text">
		<SIZE>10</SIZE>
		<MAXSIZE>15</MAXSIZE>
		<ALT_ENG>Assessor ID</ALT_ENG>
		<ALT_THAI>รหัสผู้ประเมิน</ALT_THAI>
	</COMPONENT>
	<HELP>MEMPLOYEEHELP_APS</HELP>
	<HELP_RETURN_FIELD>true</HELP_RETURN_FIELD>
</ASSESSOR6>
<ASSESSOR_LEVEL1 lang="A" encrypt="false" log="false" type="String">
	<WIDTH>5</WIDTH>
	<DESC_ENG>MEMPL_ASSESSOR level 1</DESC_ENG>
	<DESC_THAI>ผู้ประเมินระดับ 1</DESC_THAI>
	<COMPONENT type="hidden">
		<SIZE>10</SIZE>
		<MAXSIZE>6</MAXSIZE>
		<ALT_ENG>MEMPL_ASSESSOR level 1</ALT_ENG>
		<ALT_THAI>ผู้ประเมินระดับ 1</ALT_THAI>
		<!-- <VALIDCODE>ASSESSOR_LEVEL</VALIDCODE> -->
		<DEFAULTVALUE>0</DEFAULTVALUE>
	</COMPONENT>
</ASSESSOR_LEVEL1>
<ASSESSOR_LEVEL2 lang="A" encrypt="false" log="false" type="String">
	<WIDTH>5</WIDTH>
	<DESC_ENG>MEMPL_ASSESSOR level 2</DESC_ENG>
	<DESC_THAI>ผู้ประเมินระดับ 2</DESC_THAI>
	<COMPONENT type="hidden">
		<SIZE>10</SIZE>
		<MAXSIZE>6</MAXSIZE>
		<ALT_ENG>MEMPL_ASSESSOR level 2</ALT_ENG>
		<ALT_THAI>ผู้ประเมินระดับ 2</ALT_THAI>
		<!-- <VALIDCODE>ASSESSOR_LEVEL</VALIDCODE> -->
		<DEFAULTVALUE>1</DEFAULTVALUE>
	</COMPONENT>
</ASSESSOR_LEVEL2>
<ASSESSOR_LEVEL3 lang="A" encrypt="false" log="false" type="String">
	<WIDTH>5</WIDTH>
	<DESC_ENG>MEMPL_ASSESSOR level 3</DESC_ENG>
	<DESC_THAI>ผู้ประเมินระดับ 3</DESC_THAI>
	<COMPONENT type="hidden">
		<SIZE>10</SIZE>
		<MAXSIZE>6</MAXSIZE>
		<ALT_ENG>MEMPL_ASSESSOR level 3</ALT_ENG>
		<ALT_THAI>ผู้ประเมินระดับ 3</ALT_THAI>
		<VALIDCODE>ASSESSOR_LEVEL</VALIDCODE>
		<DEFAULTVALUE>2</DEFAULTVALUE>
	</COMPONENT>
</ASSESSOR_LEVEL3>
<ASSESSOR_LEVEL4 lang="A" encrypt="false" log="false" type="String">
	<WIDTH>5</WIDTH>
	<DESC_ENG>MEMPL_ASSESSOR level 4</DESC_ENG>
	<DESC_THAI>ผู้ประเมินระดับ 4</DESC_THAI>
	<COMPONENT type="hidden">
		<SIZE>10</SIZE>
		<MAXSIZE>6</MAXSIZE>
		<ALT_ENG>MEMPL_ASSESSOR level 4</ALT_ENG>
		<ALT_THAI>ผู้ประเมินระดับ 4</ALT_THAI>
		<VALIDCODE>ASSESSOR_LEVEL</VALIDCODE>
		<DEFAULTVALUE>4</DEFAULTVALUE>
	</COMPONENT>
</ASSESSOR_LEVEL4>
<ASSESSOR_LEVEL5 lang="A" encrypt="false" log="false" type="String">
	<WIDTH>5</WIDTH>
	<DESC_ENG>MEMPL_ASSESSOR level 5</DESC_ENG>
	<DESC_THAI>ผู้ประเมินระดับ 5</DESC_THAI>
	<COMPONENT type="hidden">
		<SIZE>10</SIZE>
		<MAXSIZE>6</MAXSIZE>
		<ALT_ENG>ASSESSOR level 5</ALT_ENG>
		<ALT_THAI>ผู้ประเมินระดับ 5</ALT_THAI>
		<VALIDCODE>ASSESSOR_LEVEL</VALIDCODE>
		<DEFAULTVALUE>5</DEFAULTVALUE>
	</COMPONENT>
</ASSESSOR_LEVEL5>
<ASSESSOR_LEVEL6 lang="A" encrypt="false" log="false" type="String">
	<WIDTH>5</WIDTH>
	<DESC_ENG>ASSESSOR level 6</DESC_ENG>
	<DESC_THAI>ผู้ประเมินระดับ 6</DESC_THAI>
	<COMPONENT type="hidden">
		<SIZE>10</SIZE>
		<MAXSIZE>6</MAXSIZE>
		<ALT_ENG>ASSESSOR level 6</ALT_ENG>
		<ALT_THAI>ผู้ประเมินระดับ 6</ALT_THAI>
		<VALIDCODE>ASSESSOR_LEVEL</VALIDCODE>
		<DEFAULTVALUE>6</DEFAULTVALUE>
	</COMPONENT>
</ASSESSOR_LEVEL6>

<WEIGHT1 lang="A" encrypt="false" log="false" type="String">
	<WIDTH>5</WIDTH>
	<DESC_ENG>weigth 1</DESC_ENG>
	<DESC_THAI>น้ำหนัก 1</DESC_THAI>
	<COMPONENT type="hidden">
		<SIZE>10</SIZE>
		<MAXSIZE>6</MAXSIZE>
		<ALT_ENG>weigth 1</ALT_ENG>
		<ALT_THAI>น้ำหนัก 1</ALT_THAI>
	</COMPONENT>
</WEIGHT1>
<WEIGHT2 lang="A" encrypt="false" log="false" type="String">
	<WIDTH>5</WIDTH>
	<DESC_ENG>weigth 2</DESC_ENG>
	<DESC_THAI>น้ำหนัก 2</DESC_THAI>
	<COMPONENT type="hidden">
		<SIZE>10</SIZE>
		<MAXSIZE>6</MAXSIZE>
		<ALT_ENG>weigth 2</ALT_ENG>
		<ALT_THAI>น้ำหนัก 2</ALT_THAI>
	</COMPONENT>
</WEIGHT2>
<WEIGHT3 lang="A" encrypt="false" log="false" type="String">
	<WIDTH>5</WIDTH>
	<DESC_ENG>weigth 3</DESC_ENG>
	<DESC_THAI>น้ำหนัก 3</DESC_THAI>
	<COMPONENT type="hidden">
		<SIZE>10</SIZE>
		<MAXSIZE>6</MAXSIZE>
		<ALT_ENG>weigth 3</ALT_ENG>
		<ALT_THAI>น้ำหนัก 3</ALT_THAI>
	</COMPONENT>
</WEIGHT3>

<WEIGHT4 lang="A" encrypt="false" log="false" type="String">
	<WIDTH>5</WIDTH>
	<DESC_ENG>weigth</DESC_ENG>
	<DESC_THAI>น้ำหนัก</DESC_THAI>
	<COMPONENT type="hidden">
		<SIZE>10</SIZE>
		<MAXSIZE>6</MAXSIZE>
		<ALT_ENG>weigth</ALT_ENG>
		<ALT_THAI>น้ำหนัก</ALT_THAI>
	</COMPONENT>
</WEIGHT4>
<WEIGHT5 lang="A" encrypt="false" log="false" type="String">
	<WIDTH>5</WIDTH>
	<DESC_ENG>weigth</DESC_ENG>
	<DESC_THAI>น้ำหนัก</DESC_THAI>
	<COMPONENT type="hidden">
		<SIZE>10</SIZE>
		<MAXSIZE>6</MAXSIZE>
		<ALT_ENG>weigth</ALT_ENG>
		<ALT_THAI>น้ำหนัก</ALT_THAI>
	</COMPONENT>
</WEIGHT5>
<WEIGHT6 lang="A" encrypt="false" log="false" type="String">
	<WIDTH>5</WIDTH>
	<DESC_ENG>weigth</DESC_ENG>
	<DESC_THAI>น้ำหนัก</DESC_THAI>
	<COMPONENT type="hidden">
		<SIZE>10</SIZE>
		<MAXSIZE>6</MAXSIZE>
		<ALT_ENG>weigth</ALT_ENG>
		<ALT_THAI>น้ำหนัก</ALT_THAI>
	</COMPONENT>
</WEIGHT6>
</FIELD>
<RELATION>
<!-- Ball 19/11/2007 for Aprisal -->
	<MEMPLOYEE>
		<PARENT>MEMPL_ASSESSOR.EMPLOYEEID</PARENT>
		<PARENT>MEMPL_ASSESSOR.COMPANYID</PARENT>
		<CHILD>MEMPLOYEE.EMPLOYEEID</CHILD>
		<CHILD>MEMPLOYEE.COMPANYID</CHILD>
	</MEMPLOYEE>
	<V1MEMPLOYEE>
		<PARENT>MEMPL_ASSESSOR.ASSESSOR1</PARENT>
		<PARENT>MEMPL_ASSESSOR.COMPANYID</PARENT>
		<CHILD>V1MEMPLOYEE.EMPLOYEEID</CHILD>
		<CHILD>V1MEMPLOYEE.COMPANYID</CHILD>
	</V1MEMPLOYEE>
	<V2MEMPLOYEE>
		<PARENT>MEMPL_ASSESSOR.ASSESSOR2</PARENT>
		<PARENT>MEMPL_ASSESSOR.COMPANYID</PARENT>
		<CHILD>V2MEMPLOYEE.EMPLOYEEID</CHILD>
		<CHILD>V2MEMPLOYEE.COMPANYID</CHILD>
	</V2MEMPLOYEE>
	<V3MEMPLOYEE>
		<PARENT>MEMPL_ASSESSOR.ASSESSOR3</PARENT>
		<PARENT>MEMPL_ASSESSOR.COMPANYID</PARENT>
		<CHILD>V3MEMPLOYEE.EMPLOYEEID</CHILD>
		<CHILD>V3MEMPLOYEE.COMPANYID</CHILD>
	</V3MEMPLOYEE>
	<V4MEMPLOYEE>
		<PARENT>MEMPL_ASSESSOR.ASSESSOR4</PARENT>
		<PARENT>MEMPL_ASSESSOR.COMPANYID</PARENT>
		<CHILD>V4MEMPLOYEE.EMPLOYEEID</CHILD>
		<CHILD>V4MEMPLOYEE.COMPANYID</CHILD>
	</V4MEMPLOYEE>
	<SIMMEMP>
		<PARENT>MEMPL_ASSESSOR.ASSESSOR5</PARENT>
		<PARENT>MEMPL_ASSESSOR.COMPANYID</PARENT>
		<CHILD>SIMMEMP.EMPLOYEEID</CHILD>
		<CHILD>SIMMEMP.COMPANYID</CHILD>
	</SIMMEMP>
<!-- End Ball -->
</RELATION>
</MEMPL_ASSESSOR>
